Subject: Re: [Anima] Confirmation of consensus to adopt draft-jiang-anima-prefix-management as ANIMA WG document, ends December 13, 2015,

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 1 Dec 2015 11:41:28 -0500

(Trimmed CC list, as I doubt the chairs need to receive 3 copies of this 
email.)

Let me try phrasing my concern differently.
There are use cases for which teh approaches and elements in the draft 
are a good starting point.  There are other use cases where I do not 
consider the approach described in the draft to be a good starting point.

When I asked the authors about this, different authors responded 
differently.  If the authors do not even see the same use case as being 
addressed, I have real trouble judging whether this document is a good 
or bad starting point for the working group to address the question.

To be quite specific, the task of assigning IP subnets to an arbitrary 
topology has significantly different complexity, and requires 
significantly different logic, than the task of delegating IP prefixes 
for assignment to customer links or similar leaves of the topology.
Automating the later is clearly useful, important, and it seems that the 
pieces in the document are a good starting point.  Automating the former 
has many interesting questions that need to be discussed first.

Yours,
Joel

On 12/1/15 1:10 AM, Liubing (Leo) wrote:
> Hi Dear all,
>
> In general, I think the large scale ISP prefix management is a valid use case of GRASP. So I basically support the draft.
>
> But I also think Joel's concern make sense that the current draft seems not describe the use case in a clear way. My personal comment is:
> - IIRC, the document structure was based on a suggested "use case template" at the very beginning of the Anima BoF. The template intended to regular different use cases at that time. For now, I think maybe there is no need to stick to that template any more. It could be more direct to discuss the prefix management issues in the Problem Statement. Current texts describes the supporting technologies well (e.g. device credential/role, policy intent etc.), but could be more institutive to the prefix management issue itself.
> - Section 3/4/5 describes the technology components of the solution well, but It seems it lacks a very clear whole picture of the prefix allocation/provisioning procedure.
>
> So, for me, the problem is mostly description issue rather than technical issue. From a use case perspective, I think it's ok to adopt it, and readability could be improved after adoption.
>
> Best regards,
> Bing
>
>> -----Original Message-----
>> From: Anima [mailto:[email-masked]] On Behalf Of Joel M. Halpern
>> Sent: Tuesday, December 01, 2015 3:09 AM
>> To: Brian E Carpenter; Sheng Jiang; [email-masked]
>> Cc: [email-masked]; Toerless Eckert
>> Subject: Re: [Anima] Confirmation of consensus to adopt
>> draft-jiang-anima-prefix-management as ANIMA WG document, ends
>> December 13, 2015,
>>
>> I can well believe that there is a valuable demonstration case that could be
>> covered by that document.
>> However, as I read it, the current document is not clear enough to even say
>> that it is a good starting point on describing that case and its value to the
>> group.
>>
>> So I would like to se a round of clarity improvement by the authors, after
>> which it is likely we could adopt the document.
>>
>> Yours,
>> Joel
>>
>> On 11/30/15 2:02 PM, Brian E Carpenter wrote:
>>> Joel,
>>>
>>> As I said in my own comment, the use case aspect of the draft
>>> definitely needs work. It was never intended to be sufficient for the
>>> general case. Actually, it says that it's limited to ISP networks. It
>>> probably needs an explicit applicability section with more details on that.
>>> In particular, is it intended to be used during network creation (and
>>> would it then use something like RFC 7695) or is it only for prefix
>>> allocation to customer stubs in an established network?
>>>
>>> (If it's used for network creation, there would be some interesting
>>> questions about bootstrapping that I won't go into here.)
>>>
>>> It's also not at all aligned with the current GRASP proposal, and that
>>> needs to be fixed in the next version.
>>>
>>> Its overall role in Anima is really supposed to be a worked example to
>>> validate the infrastructure components.
>>>
>>> Regards
>>>      Brian
>>>
>>>
>>> On 30/11/2015 17:05, Joel M. Halpern wrote:
>>>> I do not think this document is in shape to be adopted by the working
>>>> group.  It does not clearly state what sort of address prefix handling it is
>> attempting to address, and is nowhere near sufficient for the general case.
>>>>
>>>> I am sorry that due to the need to chair another working group, I could
>> not be in the room for the discussion.
>>>>
>>>> Yours,
>>>> Joel M. Halpern
>>>>
>>>> On 11/29/15 8:26 PM, Sheng Jiang wrote:
>>>>> There was clear consensus for adopting
>>>>> draft-jiang-anima-prefix-management as a ANIMA working group
>> document in the IETF 94 ANIMA WG meeting, Yokohama.
>>>>> This message starts a two-week call on confirming the consensus from
>> the WG meeting.
>>>>>
>>>>>      Title:      Autonomic Prefix Management in Large-scale
>> Networks
>>>>>      Authors :   Jiang, et al.
>>>>>      Filename:  draft-jiang-anima-prefix-management
>>>>>
>>>>>      https://tools.ietf.org/html/draft-jiang-anima-prefix-management
>>>>>
>>>>> Please express your support or rejection. If you think this document
>>>>> should _not_ be adopted, please also explicitly indicate the reasons.
>>>>>
>>>>> This adoption call will end on December 13, 2015.
>>>>>
>>>>> Regards,
>>>>>
>>>>> Sheng + Toerless
>>>>> _______________________________________________
>>>>> Anima mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/anima
>>>>>
>>>>
>>>> _______________________________________________
>>>> Anima mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/anima
>>>>
>>>
>>
>> _______________________________________________
>> Anima mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/anima
>
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>